using System;
using System.Collections.Generic;

public class Program
{
    public static void NamestiGlasanje(int n, int q, List<int> glasovi, List<int> trazeniBrojevi)
    {
        glasovi.Sort();
        for (int i = 0; i < trazeniBrojevi.Count; i++)
        {
            if (glasovi.Contains(trazeniBrojevi[i]))
            {
                int desnoElementi = glasovi.IndexOf(trazeniBrojevi[i]);
                int levoElementi = glasovi.Count - glasovi.IndexOf(trazeniBrojevi[i]) - 1;
                Console.WriteLine(Math.Abs(levoElementi - desnoElementi));
            }
            else
            {
                List<int> glasoviTemp = glasovi;
                glasoviTemp.Add(trazeniBrojevi[i]);
                glasoviTemp.Sort();
                int desnoElementi = glasoviTemp.IndexOf(trazeniBrojevi[i]);
                int levoElementi = glasoviTemp.Count - glasoviTemp.IndexOf(trazeniBrojevi[i]) - 1;
                Console.WriteLine(Math.Abs(levoElementi - desnoElementi));
            }
        }
    }
    public static void Main()
    {
        string[] unosPrvi = Console.ReadLine().Split();

        int n = int.Parse(unosPrvi[0]);
        int q = int.Parse(unosPrvi[1]);

        string[] A = Console.ReadLine().Split();
        string[] B = Console.ReadLine().Split();

        List<int> glasovi = new List<int>();
        for (int i = 0; i < n; i++)
            glasovi.Add(int.Parse(A[i]));

        List<int> trazeniBrojevi = new List<int>();
        for (int i = 0; i < q; i++)
            trazeniBrojevi.Add(int.Parse(B[i]));

        NamestiGlasanje(n, q, glasovi, trazeniBrojevi);
    }
}